Package Details: bus1-headers-git r937.dc398d5-1

Git Clone URL: https://aur.archlinux.org/bus1-git.git (read-only)
Package Base: bus1-git
Description: Bus1 Out-of-Tree Kernel Module
Upstream URL: http://www.bus1.org
Licenses: LGPL2.1
Conflicts: bus1-headers
Provides: bus1-headers
Submitter: Siosm
Maintainer: Siosm
Last Packager: Siosm
Votes: 2
Popularity: 1.444168
First Submitted: 2016-04-21 23:31
Last Updated: 2016-12-18 12:20

Dependencies (3)

Required by (0)

Sources (2)

Latest Comments

Siosm commented on 2016-12-18 12:21

@Det: Updated.

Siosm commented on 2016-12-18 11:07

You're right, libbus1 should depend on bus1. But be aware that current libbus1 did not work with current bus1 kernel module the last time I tested it.

I've made a DKMS version of this package that should solve this issue. I'll push it soon.

Det commented on 2016-12-18 07:59

So bus1-git and libbus1-git are really separate, and neither depends on neither? Not even optionally?

Also, hard-coding the kernel dependency like that for manual input is really ugly. You don't really need to depend on the specific kernel version, as it is assumed that AUR packages are rebuilt by the user for new ones anyway (you can also mention that in .install), but to automate that I guess you could do, e.g.:

_kernel_pkgname=$(pacman -Qo /usr/lib/modules/$(uname -r) | cut -d " " -f5)
_kernel_version=$(uname -r | cut -d "-" -f-2)

And to write it to the .install:

_kernel_version_full=$(uname -r)
sed -i "s/EXTRAMODULES='.*'/EXTRAMODULES='${_kernel_version_full}'/" "${startdir}"/${install}